Impossible de lancer Steam [Résolu/Fermé]

Signaler
Messages postés
807
Date d'inscription
vendredi 23 mai 2008
Statut
Membre
Dernière intervention
16 juin 2020
-
Messages postés
198
Date d'inscription
jeudi 2 août 2012
Statut
Membre
Dernière intervention
21 mars 2019
-
Bonjour,

J'ai un petit problème avec steam !

J'ai réinstaller Debian près quelques années sous Windows en me disant que de toute façon, je pourrai lui mettre Steam et jouer à Football Manager sans problème.

Seulement à chaque fois que je lance steam, j'ai un message d'erreur qui apparait: Fatal Error : Failed to load steamui.so

Quelqu'un sait ce qu'il faut que je fasse?

Par avance merci pour votre aide !

2 réponses

Messages postés
198
Date d'inscription
jeudi 2 août 2012
Statut
Membre
Dernière intervention
21 mars 2019
121
Bonsoir,

Es que ce message empèche le lancement de Steam (et son bon fonctionnement ?). Je pose la question car j'ai aussi un message (de tête je ne sais plus lequel) au démarrage de Steam mais ne posant pas de problème.

Pour ma part voici ce que je fait lors de l'installation de Steam sur une Debian testing (mais fonctionne aussi avec Jessie) :

--------------
#Procédure d'installation de Steam

#Téléchargement de l'installeur sur le site de steam
wget https://repo.steampowered.com/steam/archive/precise/steam_latest.deb


#Installation des dépendances (on peut aussi tenter un
dpkg -i steam.deb
, se taper les erreurs et faire un
apt-get install -f
pour combler les dépendances)
apt install curl libc6-i386


#Installation de l'installeur (oui car c'est un fichier de 2,6 Mo qui télécharge le reste de leurs dépôts)
dpkg -i steam.deb


#Note : depuis un debootstrap, Steam va exiger les paquets suivant également : python-apt xz-utils

#Il va également exiger des paquets en i386 alors que la Terre entière est en amd64 ! Il faut donc ajouter la branche i386 à DPKG :

dpkg --add-architecture i386


apt update


#Installation des librairies i386
apt install libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libc6:i386

#Installation d'OpenGL pour Nvidia
apt install libgl1-nvidia-glx-i386


#Installation d'OpenGL pour AMD
apt install  libgl1-fglrx-glx-i386


#Le lancer via l'interface graphique et attendre que ça ce face tout seul.


#Source : https://linuxconfig.org/installation-of-steam-client-on-debian-jessie-8-linux-64bit
--------------

Comparez votre installation à la mienne et dites moi si vous avez bien tout les paquets que j'utilise.

Dans l'attente de votre réponse.
2
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 60511 internautes nous ont dit merci ce mois-ci

Messages postés
807
Date d'inscription
vendredi 23 mai 2008
Statut
Membre
Dernière intervention
16 juin 2020
11
Bonjour Lordanonymous.

Merci beaucoup, grace à vous tout fonctionne !! Par contre j'ai eu un message d'erreur au moment de l'installation d'openGL pour AMD. J'ai eu : E: Impossible de trouver le paquet libgl1-fglrx-glx-i386

Mais désormais Steam se lance alors qu'il ne se lançait pas du tout auparavant. Je vais de ce pas installer Football Manager pour voir s'il fonctionne, encore un grand merci !
Messages postés
198
Date d'inscription
jeudi 2 août 2012
Statut
Membre
Dernière intervention
21 mars 2019
121
Content d'avoir pu vous aider !
Pour votre message d'erreur je ne pourrai pas vous orienter efficacement car je ne dispose pas de carte AMD. Cependant si un problème lié à ce message survient vous disposez d'assez d'éléments pour pouvoir trouver une solution.

Amusez vous bien !
Messages postés
807
Date d'inscription
vendredi 23 mai 2008
Statut
Membre
Dernière intervention
16 juin 2020
11
Oui et si j'ai un problème je fouillerai un peu mais cela me surprendrai que ça ne fonctionne pas. ;)

Encore merci, bonne soirée.
Messages postés
807
Date d'inscription
vendredi 23 mai 2008
Statut
Membre
Dernière intervention
16 juin 2020
11
Je viens de réinstaller et j'ai le message suivant qui apparait:
You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1
Press enter to continue

J'ai donc recherché les paquets qui contiennent libGL.so.1 et je les ai installé, mais ça ne fonctionne toujours pas et j'ai toujours le même message après réinstallation de steam.

Une idée?
Messages postés
198
Date d'inscription
jeudi 2 août 2012
Statut
Membre
Dernière intervention
21 mars 2019
121
Désolé de ne pas vous avoir répondu plus tôt.
De toute évidence il vous faut installer OpenGL pour votre carte AMD.
Tentez un
apt-cache search libgl1
.

Si vous avez trop de résultat il faut trier avec un grep :
apt-cache search libgl1 | grep amd
.

Dites moi si vous trouvez un résultat concluant.